API referenceLibrary
Link Theme Design
Attach a design to a theme (same project). Requires the write scope.
Authorization
apiKey AuthorizationBearer <token>
First-party API key (sbk_live_…), presented as a Bearer token.
In: header
Path Parameters
theme_id*Theme Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
curl -X POST "https://example.com/v1/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/designs" \ -H "Content-Type: application/json" \ -d '{ "design_id": "3c3997d4-c335-47fb-9214-209c16a24ffd" }'Empty